    IFND EXECUTIVEAPI_I
EXECUTIVEAPI_I  SET 1

*
*       $VER: ExecutiveAPI.i 1.00 (16.12.96)
*       ExecutiveAPI Release 1.00
*
*       ExecutiveAPI definitions
*
*       Copyright  1996-97 Petri Nordlund. All rights reserved.
*
*       $Id: ExecutiveAPI.i 1.1 1996/12/16 16:00:00 akil Exp akil $
*

    IFND    EXEC_TYPES_I
    INCLUDE "exec/types.i"
    ENDC ; EXEC_TYPES_I

    IFND    EXEC_PORTS_I
    INCLUDE "exec/ports.i"
    ENDC ; EXEC_PORTS_I

*
* Public message port to send messages to
*

EXECUTIVEAPI_PORTNAME MACRO
    DC.B 'Executive_server',0
    ENDM

*
* ExecutiveMessage
*

 STRUCTURE ExecutiveMessage,0
    STRUCT  em_message,MN_SIZE
    WORD    em_ident                    ; This must always be 0

    WORD    em_command                  ; Command to be sent, see below
    APTR    em_task                     ; Task address
    APTR    em_taskname                 ; Task name
    LONG    em_value1                   ; Depends on command
    LONG    em_value2                   ; Depends on command
    LONG    em_value3                   ; Depends on command
    LONG    em_value4                   ; Depends on command
    WORD    em_error                    ; Non-zero if error, see below
    STRUCT  em_reserved,16              ; Reserved for future use
    LABEL   em_SIZEOF


*
* Commands
*

EXAPI_CMD_ADD_CLIENT    EQU 0           ; Add new client
EXAPI_CMD_REM_CLIENT    EQU 1           ; Remove client
EXAPI_CMD_GET_NICE      EQU 2           ; Get nice-value
EXAPI_CMD_SET_NICE      EQU 3           ; Set nice-value
EXAPI_CMD_GET_PRIORITY  EQU 4           ; Get the correct (not scheduling priority of the task
EXAPI_CMD_WATCH         EQU 5           ; Schedule, don't schedule etc. See below

*
* These are used with EXAPI_CMD_WATCH
*

* --> value1

EXAPI_WHICH_TASK        EQU 0           ; Current task
EXAPI_WHICH_CHILDTASKS  EQU 1           ; Childtasks of this task

* --> value2

EXAPI_TYPE_SCHEDULE     EQU 0           ; Schedule      this task / child tasks
EXAPI_TYPE_NOSCHEDULE   EQU 1           ; Dont' schedule this task / child tasks
EXAPI_TYPE_RELATIVE     EQU 2           ; The priority of the child tasks relative to parent's
                                        ; priority
* --> value3

EXAPI_PRI_LEAVE_ALONE   EQU 0           ; Ignore task priority
EXAPI_PRI_ABOVE         EQU 1           ; Task's priority kept above scheduled tasks
EXAPI_PRI_BELOW         EQU 2           ; Task's priority kept below scheduled tasks
EXAPI_PRI_SET           EQU 3           ; Set priority to given value (value4)

*
* Errors
*

EXAPI_OK                    EQU 0       ; No error
EXAPI_ERROR_TASK_NOT_FOUND  EQU 1       ; Specified tass wasn't found
EXAPI_ERROR_NO_SERVER       EQU 2       ; Server not available (quitting)
EXAPI_ERROR_INTERNAL        EQU 3       ; Misc. error (e.g. no memory)
EXAPI_ERROR_ALREADY_WATCHED EQU 4       ; Task is already being watched, meaning that
                                        ; user has put the task to "Executive.prefs".
    ENDC ; EXECUTIVEAPI_I
